Subject: Re: bug#51032: 29.0.50; Choices for blink-matching-paren

From: Stefan Kangas <[email-masked]>
Date: Wed, 6 Oct 2021 14:10:45 -0400

Eli Zaretskii <[email-masked]> writes:

> And 'show' (or 'foo', or any other non-nil value) does NOT show the
> matching paren in the echo area when that position is off-screen?  It
> does here, FWIW.

The behavior you see should be explained in the new docstring.  Did you
miss this part in the diff?

    +In addition, if the opening paren is not visible on screen, show
    +its position in the echo area.

>>  (defcustom blink-matching-paren t
>>    "Non-nil means show matching open-paren when close-paren is inserted.
>> -If t, highlight the paren.  If `jump', briefly move cursor to its
>> -position.  If `jump-offscreen', move cursor there even if the
>> -position is off screen.  With any other non-nil value, the
>> -off-screen position of the opening paren will be shown in the
>> -echo area."
>> +In addition, if the opening paren is not visible on screen, show
>> +its position in the echo area.
>> +
>> +The valid values are:
>> +
>> +  nil               Disable.
>> +  non-nil           Highlight the opening paren.
>> +  `jump'            Briefly move cursor to its position.
>                                               ^^^
> What does "its" there allude to?
>
>> +  `jump-offscreen'  Briefly move cursor to its position,
>
> Likewise.

The opening paren.  What "it" refers to is on the previous line.
I don't think this is unclear, but I don't object if you want to
improve it.

>> +                    even if the opening paren is not on screen."
>
> This doesn't update the choices, which is what the original bug report
> was about.

Yes it does, by changing t to non-nil.  Or maybe I don't understand what
you are saying.

> And I think the new doc string is incomplete, because you
> removed the information about showing matches that are far away in the
> echo-area.

I think you missed a sentence, see above.